Skip to main content
GET
Get an existing session

Headers

X-AVP-Impersonation
string

The impersonation.

Path Parameters

sessionId
string
required

Response

Returns the user session details

sessionId
string<uuid>
required

The unique identifier of the session. The session is used to identify the end user. The sessionId is used to identify the session for all of the other operations on this API.

engineId
string
required

The D-EDGE reference of the booking engine.

groupId
string
required

The D-EDGE group id of the booking engine.

display
object
required
Example:
context
object
required

This represent the parameters used to configure future call to the service. It represents more or less the data entered by the final customer.

Example:
basket
object
required

The current basket of the user.

roomFilters
object[]
required

The room filters configured by the end user.

hotelFilters
object[]
required

The hotel filters configured by the end user.

roomSortType
enum<string>
required

Define the way room results are sorted when performing a search.

Available options:
Default,
DescendingPrice,
AscendingPrice
hotelSortType
enum<string>
required

Define the way hotel results are sorted when performing a search.

Available options:
Default,
DescendingPrice,
AscendingPrice,
Rating,
Name
bookingEngineMode
object
required

Define the modes for a booking engine.

defaultDistance
number<double>
required